This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 845274 - [RHEVM] [UI] [TEXT] Cannot edit Management Network
[RHEVM] [UI] [TEXT] Cannot edit Management Network
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity low
: ---
: ---
Assigned To: Alona Kaplan
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 10:22 EDT by Martin Pavlik
Modified: 2016-02-10 14:47 EST (History)
9 users (show)

See Also:
Fixed In Version: si14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sceenshot (185.11 KB, image/png)
2012-08-02 10:22 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-08-02 10:22:09 EDT
Created attachment 601960 [details]
sceenshot

Description of problem:
Text "Cannot edit Management Network" is displayed in Edit Logical Network dialog (see screenshot), but when there is Data Center without cluster, it is possible to edit management network so this text is confusing. Text should appear only when datacenter contains cluster.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: '3.1.0-10.el6ev' 

How reproducible:
100%

Steps to Reproduce:
1. Create new Data Center (do not configure cluster)
2. Data Centers -> your Data Center -> Logical Networks -> rhevm -> edit

  
Actual results:
Text "Cannot edit Management Network" is always displayed

Expected results:
Text "Cannot edit Management Network" should be displayed only when Data Center contains cluster

Additional info:
Comment 2 Alona Kaplan 2012-08-13 03:21:41 EDT
also rephrase the tesxt to "Cannot edit Management Network when cluster is attached to the Data Center"
Comment 3 Alona Kaplan 2012-08-13 03:48:24 EDT
1. Rephrase to - "Cannot edit Management Network when there is one or more clusters in the data center"

2. If a network doesn't attached to any cluster. When opening the edit network dialog the "please detach ..." text appears even it shouldn't.
Comment 4 Alona Kaplan 2012-08-13 06:45:07 EDT
upstream commit

Note You need to log in before you can comment on or make changes to this bug.